Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nextapp.echo2.app.table
Interface TableModel

All Superinterfaces:
  java.io.Serializable

All Known Subinterfaces:
  PageableTableModel, SortableTableModel

All Known Implementing Classes:
  AbstractTableModel, DefaultPageableSortableTableModel, DefaultSortableTableModel, DefaultTableModel

    public interface TableModel

extends java.io.Serializable

A model which represents data in a table format.

Method Summary
`void` | `addTableModelListener(TableModelListener l)` Adds a listener that will be notified of changes/
`java.lang.Class` | `getColumnClass(int column)` Returns the most-specific class of objects found in a given table column.
`int` | `getColumnCount()` Returns the number of columns in the table.
`java.lang.String` | `getColumnName(int column)` Returns the name of the specified column number.
`int` | `getRowCount()` Returns the number of rows in the table.
`java.lang.Object` | `getValueAt(int column, int row)` Returns the value found at the given coordinate within the table.
`void` | `removeTableModelListener(TableModelListener l)` Removes a listener from being notified of changes.

Method Detail

### addTableModelListener

    void addTableModelListener(TableModelListener l)

  Adds a listener that will be notified of changes/

  Parameters:
    `l` - the listener to add

### getColumnClass

    java.lang.Class getColumnClass(int column)

  Returns the most-specific class of objects found in a given table column. Every object in the specified column must be an instance of the returned class.

  Parameters:
    `column` - the column index (0-based)
  Returns:
    the most-specific class of object found in the specified column

### getColumnCount

    int getColumnCount()

  Returns the number of columns in the table.

  Returns:
    the column count

### getColumnName

    java.lang.String getColumnName(int column)

  Returns the name of the specified column number.

  Parameters:
    `column` - the column index (0-based)
  Returns:
    the column name

### getRowCount

    int getRowCount()

  Returns the number of rows in the table.

  Returns:
    the row count

### getValueAt

    java.lang.Object getValueAt(int column,
                                int row)

  Returns the value found at the given coordinate within the table. Column and row values are 0-based. WARNING: Take note that the column is the first parameter passed to this method, and the row is the second parameter.

  Parameters:
    `column` - the column index (0-based)
    `row` - the row index (0-based)

### removeTableModelListener

    void removeTableModelListener(TableModelListener l)

  Removes a listener from being notified of changes.

  Parameters:
    `l` - the listener to remove

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD